Add Dataset Member
posthttps://api-atlas.nomic.ai/v1/dataset/{dataset_id}/members/add
⚠️ WARNING
This endpoint is unstable & not officially supported. It may be deprecated and removed in future API versions.
Add Dataset Member
Request
dataset_idstring | path*requiredBody (required) application/json
user_idstringThe user ID to add to the dataset
emailstringThe user Email to add to the dataset, if user_id is not available
access_rolestring*requiredThe role to assign to the user in the dataset
Possible values: ADMIN, EDITOR, VIEWER, EXTERNAL, NONE
Responses
200Successful Response
422Validation Error
Examples
curl
curl -X 'POST' \
'https://api-atlas.nomic.ai/v1/dataset/{dataset_id}/members/add' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"user_id": "string",
"email": "string",
"access_role": "ADMIN"
}'